const { Model } = require('flitter-orm')

class PermissionModel extends Model {
    static get schema() {
        return {
            active: { type: Boolean, default: true },
            target_type: String,
            permission: String
        }
    }

    async to_api() {
        return {
            _id: this.id,
            id: this.id,
            active: this.active,
            target_type: this.target_type,
            permission: this.permission,
        }
    }
}

module.exports = exports = PermissionModel
